Note: This is a beta release of Red Hat Bugzilla 5.0. The data contained within is a snapshot of the live data so any changes you make will not be reflected in the production Bugzilla. Also email is disabled so feel free to test any aspect of the site that you want. File any problems you find or give feedback here.
Bug 743370 - Review Request: libsmartpen - Library for communicating with the Livescribe Pulse Smartpen
Summary: Review Request: libsmartpen - Library for communicating with the Livescribe P...
Keywords:
Status: CLOSED NOTABUG
Alias: None
Product: Fedora
Classification: Fedora
Component: Package Review
Version: rawhide
Hardware: All
OS: Linux
medium
medium
Target Milestone: ---
Assignee: Nobody's working on this, feel free to take it
QA Contact: Fedora Extras Quality Assurance
URL:
Whiteboard:
Depends On:
Blocks: FE-DEADREVIEW
TreeView+ depends on / blocked
 
Reported: 2011-10-04 17:41 UTC by Nathanael Noblet
Modified: 2012-09-09 19:46 UTC (History)
4 users (show)

Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Clone Of:
Environment:
Last Closed: 2012-09-09 19:46:31 UTC


Attachments (Terms of Use)

Description Nathanael Noblet 2011-10-04 17:41:04 UTC
Spec URL: http://www.gnat.ca/libsmartpen.spec
SRPM URL: http://www.gnat.ca/libsmartpen-0.6-1.src.rpm
Description: Library for communicating with the Livescribe Pulse Smartpen. Routines for connecting to and downloading data from the pulse smartpen

Comment 1 Nathanael Noblet 2011-10-04 17:42:19 UTC
Sorry...wrong url

SRPM URL: http://www.gnat.ca/libsmartpen-0.6-1.fc15.src.rpm

Comment 2 Thomas Spura 2011-10-06 21:22:12 UTC
Where do you have python_sitelib0 from?

Please use the macros from:
fedoraproject.org/wiki/Packaging:Python

Are you already a packager? I didn't found you in fas...

Comment 3 Nathanael Noblet 2011-10-06 21:49:24 UTC
I am a packager fas username is gnat. 

Also something I'm aware of but not sure how to solve yet.

Upstream is in git and have released a few versions. However they don't build cleanly due to hardcoded paths in their Makefile. So I forked their git repo (github) and generated my own tarball that includes the patches I've made... How should this be packaged? take their tarball and using git history apply a bunch of patches until upstream includes them? Or just use my git fork pulling in new versions as they make them??

Spec URL: http://www.gnat.ca/libsmartpen.spec
SRPM URL: http://www.gnat.ca/libsmartpen-0.6-2.src.rpm

the sitelib0 was me copying from func.spec which has them conditionally defined but what I wanted was python_sitearch and didn't know they were provided by python-devel so just made up my own. I should have checked the guidelines instead of another spec I guess.

Comment 4 Thomas Spura 2011-10-06 22:09:41 UTC
(In reply to comment #3)
> Upstream is in git and have released a few versions. However they don't build
> cleanly due to hardcoded paths in their Makefile. So I forked their git repo
> (github) and generated my own tarball that includes the patches I've made...
> How should this be packaged? take their tarball and using git history apply a
> bunch of patches until upstream includes them? Or just use my git fork pulling
> in new versions as they make them??

You guess you need to use upstream tarball (or a git checkout) and do your patches on top of that.
Having your own git repository only helps with upstreaming patches and keeping track of your changes.

Using your repository as source would be a fork of upstream and not the real upstream source.
(I think this would be a blocker)

> Spec URL: http://www.gnat.ca/libsmartpen.spec
> SRPM URL: http://www.gnat.ca/libsmartpen-0.6-2.src.rpm
> 
> the sitelib0 was me copying from func.spec which has them conditionally defined
> but what I wanted was python_sitearch and didn't know they were provided by
> python-devel so just made up my own. I should have checked the guidelines
> instead of another spec I guess.

Thanks for changing it.

Further comments:
- BR and R of python is not needed. BR: python-devel is enought, the rest happens automatically.
- please delete the --prefix on installing, or is it absolutely needed?
- beeing a bit more expilcit in %files would be great, e.g. the subdirectories/files of %{python_sitearch} should be there, so python egg failures are detected.

Comment 5 Nathanael Noblet 2011-10-07 01:24:32 UTC
Updated:
  - Used upstream's tarball via github
  - Added patch between that tarball and my changes so it builds
  - more explicit %files
  - removed --prefix

Spec URL: http://www.gnat.ca/libsmartpen.spec
SRPM URL: http://www.gnat.ca/libsmartpen-0.6-3.src.rpm

Comment 6 Nathanael Noblet 2011-10-07 01:25:58 UTC
gosh... that srpm url is always wrong...

Spec URL: http://www.gnat.ca/libsmartpen.spec
SRPM URL: http://www.gnat.ca/libsmartpen-0.6-3.fc15.src.rpm

Comment 7 Mario Blättermann 2012-08-26 20:40:28 UTC
Your spec and srpm links are dead again. Are you still working on this package? If not, we should close this review request (and also the depending bug #744083) and add it to FE-DEADREVIEW.

Comment 8 Mario Blättermann 2012-09-09 19:46:31 UTC
Closing this review request, adding to FE-DEADREVIEW.


Note You need to log in before you can comment on or make changes to this bug.